Skip to navigation

🧪 Get Resource Operation

Get a single resource operation and its logs by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_idstringRequiredformat: "uuid"
The unique identifier of the connection.
resource_operation_idstringRequiredformat: "uuid"
The unique identifier of the resource operation.

Response

Successful Response
idstringformat: "uuid"
Unique identifier for the resource operation.
created_atdatetime
Timestamp when the resource operation was created.
updated_atdatetime
Timestamp when the resource operation was last updated.
partner_idstringformat: "uuid"
The ID of the partner that owns this operation.
connection_idstringformat: "uuid"
The ID of the connection associated with this operation.
source_nameenum
The source name of the operation.
resourceenum

The type of resource to operate on (e.g., vehicle, driver, hos_event).

operation_typeenum

The type of operation to perform (e.g., create, update).

Allowed values:
statusenum
The current status of the operation.
Allowed values:
payloadmap from strings to any
The payload of the operation, containing the resource attributes to be created or updated.
fleet_refstring or nullOptional
The reference of the fleet in the partner's system.
resource_idstring or nullOptionalformat: "uuid"

Unique identifier of the resource in Catena Telematics. Can be null if the operation is pending or failed.

source_idstring or nullOptional

Unique identifier of the record in the TSP. Can be null if the operation is pending or failed.

logslist of objectsOptional
Log entries for each attempt to execute this operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error